runner-enrollment-challenges

Operations of the Biome Host API. Paths are relative to your deployment's API host.

POST /api/biome-host-api/runtime-enrollment-challenges/{challengeRef}/exchange

Exchange a single-use runner enrollment challenge for identity material

Authentication: none

ParameterInTypeRequiredDescription
challengeRefpathstringyes

Request body: application/json ExchangeRunnerEnrollmentChallengeDto

StatusDescriptionBody
201application/json RunnerEnrollmentExchangeResponseDtoDataEnvelope
400application/problem+json ProblemDetailsDto
401application/problem+json ProblemDetailsDto
403application/problem+json ProblemDetailsDto
404application/problem+json ProblemDetailsDto
409application/problem+json ProblemDetailsDto
422application/problem+json ProblemDetailsDto
500application/problem+json ProblemDetailsDto